<?php
// source: C:\wamp\www\wss\app/config/config.neon 
// source: C:\wamp\www\wss\app/config/config.local.neon 

class Container_823831bac5 extends Nette\DI\Container
{
	protected $meta = array(
		'types' => array(
			'Nette\Object' => array(
				array(
					'application.application',
					'application.linkGenerator',
					'database.default.connection',
					'database.default.structure',
					'database.default.context',
					'http.requestFactory',
					'http.request',
					'http.response',
					'http.context',
					'security.user',
					'session.session',
					'aktualizace',
					'27_App_Forms_SignFormFactory',
					'plany',
					'dkk',
					'dokumenty',
					'fotkyPsu',
					'novinky',
					'oznameni',
					'psi',
					'srazy',
					'stranky',
					'vrhy',
					'vystavy',
					'zkousky',
					'zpravy',
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
					'application.24',
					'application.25',
					'container',
				),
			),
			'Nette\Application\Application' => array(1 => array('application.application')),
			'Nette\Application\IPresenterFactory' => array(
				1 => array('application.presenterFactory'),
			),
			'Nette\Application\LinkGenerator' => array(1 => array('application.linkGenerator')),
			'Nette\Caching\Storages\IJournal' => array(1 => array('cache.journal')),
			'Nette\Caching\IStorage' => array(1 => array('cache.storage')),
			'Nette\Database\Connection' => array(
				1 => array('database.default.connection'),
			),
			'Nette\Database\IStructure' => array(
				1 => array('database.default.structure'),
			),
			'Nette\Database\Structure' => array(
				1 => array('database.default.structure'),
			),
			'Nette\Database\IConventions' => array(
				1 => array('database.default.conventions'),
			),
			'Nette\Database\Conventions\DiscoveredConventions' => array(
				1 => array('database.default.conventions'),
			),
			'Nette\Database\Context' => array(1 => array('database.default.context')),
			'Nette\Http\RequestFactory' => array(1 => array('http.requestFactory')),
			'Nette\Http\IRequest' => array(1 => array('http.request')),
			'Nette\Http\Request' => array(1 => array('http.request')),
			'Nette\Http\IResponse' => array(1 => array('http.response')),
			'Nette\Http\Response' => array(1 => array('http.response')),
			'Nette\Http\Context' => array(1 => array('http.context')),
			'Nette\Bridges\ApplicationLatte\ILatteFactory' => array(1 => array('latte.latteFactory')),
			'Nette\Application\UI\ITemplateFactory' => array(1 => array('latte.templateFactory')),
			'Latte\Object' => array(array('nette.latte')),
			'Latte\Engine' => array(array('nette.latte')),
			'Nette\Mail\IMailer' => array(1 => array('mail.mailer')),
			'Nette\Application\IRouter' => array(1 => array('routing.router')),
			'Nette\Security\IUserStorage' => array(1 => array('security.userStorage')),
			'Nette\Security\User' => array(1 => array('security.user')),
			'Nette\Security\IAuthenticator' => array(1 => array('security.authenticator')),
			'Nette\Http\Session' => array(1 => array('session.session')),
			'Tracy\ILogger' => array(1 => array('tracy.logger')),
			'Tracy\BlueScreen' => array(1 => array('tracy.blueScreen')),
			'Tracy\Bar' => array(1 => array('tracy.bar')),
			'Repository' => array(
				1 => array(
					'aktualizace',
					'plany',
					'dkk',
					'dokumenty',
					'fotkyPsu',
					'novinky',
					'oznameni',
					'psi',
					'srazy',
					'stranky',
					'vrhy',
					'vystavy',
					'zkousky',
					'zpravy',
				),
			),
			'AktualizaceModel' => array(1 => array('aktualizace')),
			'App\Forms\SignFormFactory' => array(
				1 => array('27_App_Forms_SignFormFactory'),
			),
			'ChovPlanyModel' => array(1 => array('plany')),
			'DkkModel' => array(1 => array('dkk')),
			'DokumentyModel' => array(1 => array('dokumenty')),
			'FotkyPsuModel' => array(1 => array('fotkyPsu')),
			'NovinkyModel' => array(1 => array('novinky')),
			'OznameniModel' => array(1 => array('oznameni')),
			'PsiModel' => array(1 => array('psi')),
			'SrazyModel' => array(1 => array('srazy')),
			'StrankyModel' => array(1 => array('stranky')),
			'VrhyModel' => array(1 => array('vrhy')),
			'VystavyModel' => array(1 => array('vystavy')),
			'ZkouskyModel' => array(1 => array('zkousky')),
			'ZpravyModel' => array(1 => array('zpravy')),
			'Nette\Application\UI\Presenter' => array(
				array(
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
				),
			),
			'Nette\Application\UI\Control' => array(
				array(
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
				),
			),
			'Nette\Application\UI\PresenterComponent' => array(
				array(
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
				),
			),
			'Nette\ComponentModel\Container' => array(
				array(
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
				),
			),
			'Nette\ComponentModel\Component' => array(
				array(
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
				),
			),
			'Nette\Application\IPresenter' => array(
				array(
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
					'application.24',
					'application.25',
				),
			),
			'ArrayAccess' => array(
				array(
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
				),
			),
			'Nette\Application\UI\IStatePersistent' => array(
				array(
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
				),
			),
			'Nette\Application\UI\ISignalReceiver' => array(
				array(
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
				),
			),
			'Nette\ComponentModel\IComponent' => array(
				array(
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
				),
			),
			'Nette\ComponentModel\IContainer' => array(
				array(
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
				),
			),
			'Nette\Application\UI\IRenderable' => array(
				array(
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
				),
			),
			'AdminModule\BasePresenter' => array(
				array(
					'application.1',
					'application.2',
					'application.3',
					'application.4',
					'application.5',
					'application.6',
					'application.7',
					'application.8',
					'application.9',
					'application.10',
					'application.11',
				),
			),
			'AdminModule\DkkPresenter' => array(array('application.2')),
			'AdminModule\FormularePresenter' => array(array('application.3')),
			'AdminModule\HomepagePresenter' => array(array('application.4')),
			'AdminModule\NovinkyPresenter' => array(array('application.5')),
			'AdminModule\PsiPresenter' => array(array('application.6')),
			'AdminModule\SrazyPresenter' => array(array('application.7')),
			'AdminModule\StenataPresenter' => array(array('application.8')),
			'AdminModule\StrankyPresenter' => array(array('application.9')),
			'AdminModule\VystavyPresenter' => array(array('application.10')),
			'AdminModule\ZpravyPresenter' => array(array('application.11')),
			'FrontModule\BasePresenter' => array(
				array(
					'application.12',
					'application.13',
					'application.14',
					'application.15',
					'application.16',
					'application.17',
					'application.18',
					'application.19',
					'application.20',
					'application.21',
					'application.22',
					'application.23',
				),
			),
			'FrontModule\DkkPresenter' => array(array('application.12')),
			'FrontModule\ErrorPresenter' => array(array('application.13')),
			'FrontModule\FormularePresenter' => array(array('application.14')),
			'FrontModule\HomepagePresenter' => array(array('application.15')),
			'FrontModule\NovinkyPresenter' => array(array('application.16')),
			'FrontModule\PsiPresenter' => array(array('application.17')),
			'FrontModule\SignPresenter' => array(array('application.18')),
			'FrontModule\SrazyPresenter' => array(array('application.19')),
			'FrontModule\StenataPresenter' => array(array('application.20')),
			'FrontModule\StrankyPresenter' => array(array('application.21')),
			'FrontModule\VystavyPresenter' => array(array('application.22')),
			'FrontModule\ZpravyPresenter' => array(array('application.23')),
			'NetteModule\ErrorPresenter' => array(array('application.24')),
			'NetteModule\MicroPresenter' => array(array('application.25')),
			'Nette\DI\Container' => array(1 => array('container')),
		),
		'services' => array(
			'27_App_Forms_SignFormFactory' => 'App\Forms\SignFormFactory',
			'aktualizace' => 'AktualizaceModel',
			'application.1' => 'AdminModule\BasePresenter',
			'application.10' => 'AdminModule\VystavyPresenter',
			'application.11' => 'AdminModule\ZpravyPresenter',
			'application.12' => 'FrontModule\DkkPresenter',
			'application.13' => 'FrontModule\ErrorPresenter',
			'application.14' => 'FrontModule\FormularePresenter',
			'application.15' => 'FrontModule\HomepagePresenter',
			'application.16' => 'FrontModule\NovinkyPresenter',
			'application.17' => 'FrontModule\PsiPresenter',
			'application.18' => 'FrontModule\SignPresenter',
			'application.19' => 'FrontModule\SrazyPresenter',
			'application.2' => 'AdminModule\DkkPresenter',
			'application.20' => 'FrontModule\StenataPresenter',
			'application.21' => 'FrontModule\StrankyPresenter',
			'application.22' => 'FrontModule\VystavyPresenter',
			'application.23' => 'FrontModule\ZpravyPresenter',
			'application.24' => 'NetteModule\ErrorPresenter',
			'application.25' => 'NetteModule\MicroPresenter',
			'application.3' => 'AdminModule\FormularePresenter',
			'application.4' => 'AdminModule\HomepagePresenter',
			'application.5' => 'AdminModule\NovinkyPresenter',
			'application.6' => 'AdminModule\PsiPresenter',
			'application.7' => 'AdminModule\SrazyPresenter',
			'application.8' => 'AdminModule\StenataPresenter',
			'application.9' => 'AdminModule\StrankyPresenter',
			'application.application' => 'Nette\Application\Application',
			'application.linkGenerator' => 'Nette\Application\LinkGenerator',
			'application.presenterFactory' => 'Nette\Application\IPresenterFactory',
			'cache.journal' => 'Nette\Caching\Storages\IJournal',
			'cache.storage' => 'Nette\Caching\IStorage',
			'container' => 'Nette\DI\Container',
			'database.default.connection' => 'Nette\Database\Connection',
			'database.default.context' => 'Nette\Database\Context',
			'database.default.conventions' => 'Nette\Database\Conventions\DiscoveredConventions',
			'database.default.structure' => 'Nette\Database\Structure',
			'dkk' => 'DkkModel',
			'dokumenty' => 'DokumentyModel',
			'fotkyPsu' => 'FotkyPsuModel',
			'http.context' => 'Nette\Http\Context',
			'http.request' => 'Nette\Http\Request',
			'http.requestFactory' => 'Nette\Http\RequestFactory',
			'http.response' => 'Nette\Http\Response',
			'latte.latteFactory' => 'Latte\Engine',
			'latte.templateFactory' => 'Nette\Application\UI\ITemplateFactory',
			'mail.mailer' => 'Nette\Mail\IMailer',
			'nette.latte' => 'Latte\Engine',
			'novinky' => 'NovinkyModel',
			'oznameni' => 'OznameniModel',
			'plany' => 'ChovPlanyModel',
			'psi' => 'PsiModel',
			'routing.router' => 'Nette\Application\IRouter',
			'security.authenticator' => 'Nette\Security\IAuthenticator',
			'security.user' => 'Nette\Security\User',
			'security.userStorage' => 'Nette\Security\IUserStorage',
			'session.session' => 'Nette\Http\Session',
			'srazy' => 'SrazyModel',
			'stranky' => 'StrankyModel',
			'tracy.bar' => 'Tracy\Bar',
			'tracy.blueScreen' => 'Tracy\BlueScreen',
			'tracy.logger' => 'Tracy\ILogger',
			'vrhy' => 'VrhyModel',
			'vystavy' => 'VystavyModel',
			'zkousky' => 'ZkouskyModel',
			'zpravy' => 'ZpravyModel',
		),
		'tags' => array(
			'inject' => array(
				'application.1' => TRUE,
				'application.10' => TRUE,
				'application.11' => TRUE,
				'application.12' => TRUE,
				'application.13' => TRUE,
				'application.14' => TRUE,
				'application.15' => TRUE,
				'application.16' => TRUE,
				'application.17' => TRUE,
				'application.18' => TRUE,
				'application.19' => TRUE,
				'application.2' => TRUE,
				'application.20' => TRUE,
				'application.21' => TRUE,
				'application.22' => TRUE,
				'application.23' => TRUE,
				'application.24' => TRUE,
				'application.25' => TRUE,
				'application.3' => TRUE,
				'application.4' => TRUE,
				'application.5' => TRUE,
				'application.6' => TRUE,
				'application.7' => TRUE,
				'application.8' => TRUE,
				'application.9' => TRUE,
			),
			'nette.presenter' => array(
				'application.1' => 'AdminModule\BasePresenter',
				'application.10' => 'AdminModule\VystavyPresenter',
				'application.11' => 'AdminModule\ZpravyPresenter',
				'application.12' => 'FrontModule\DkkPresenter',
				'application.13' => 'FrontModule\ErrorPresenter',
				'application.14' => 'FrontModule\FormularePresenter',
				'application.15' => 'FrontModule\HomepagePresenter',
				'application.16' => 'FrontModule\NovinkyPresenter',
				'application.17' => 'FrontModule\PsiPresenter',
				'application.18' => 'FrontModule\SignPresenter',
				'application.19' => 'FrontModule\SrazyPresenter',
				'application.2' => 'AdminModule\DkkPresenter',
				'application.20' => 'FrontModule\StenataPresenter',
				'application.21' => 'FrontModule\StrankyPresenter',
				'application.22' => 'FrontModule\VystavyPresenter',
				'application.23' => 'FrontModule\ZpravyPresenter',
				'application.24' => 'NetteModule\ErrorPresenter',
				'application.25' => 'NetteModule\MicroPresenter',
				'application.3' => 'AdminModule\FormularePresenter',
				'application.4' => 'AdminModule\HomepagePresenter',
				'application.5' => 'AdminModule\NovinkyPresenter',
				'application.6' => 'AdminModule\PsiPresenter',
				'application.7' => 'AdminModule\SrazyPresenter',
				'application.8' => 'AdminModule\StenataPresenter',
				'application.9' => 'AdminModule\StrankyPresenter',
			),
		),
		'aliases' => array(
			'application' => 'application.application',
			'cacheStorage' => 'cache.storage',
			'database.default' => 'database.default.connection',
			'httpRequest' => 'http.request',
			'httpResponse' => 'http.response',
			'nette.authenticator' => 'security.authenticator',
			'nette.cacheJournal' => 'cache.journal',
			'nette.database.default' => 'database.default',
			'nette.database.default.context' => 'database.default.context',
			'nette.httpContext' => 'http.context',
			'nette.httpRequestFactory' => 'http.requestFactory',
			'nette.latteFactory' => 'latte.latteFactory',
			'nette.mailer' => 'mail.mailer',
			'nette.presenterFactory' => 'application.presenterFactory',
			'nette.templateFactory' => 'latte.templateFactory',
			'nette.userStorage' => 'security.userStorage',
			'router' => 'routing.router',
			'session' => 'session.session',
			'user' => 'security.user',
		),
	);


	public function __construct()
	{
		parent::__construct(array(
			'appDir' => 'C:\wamp\www\wss\app',
			'wwwDir' => 'C:\wamp\www\wss\www',
			'debugMode' => TRUE,
			'productionMode' => FALSE,
			'environment' => 'development',
			'consoleMode' => FALSE,
			'container' => array('class' => NULL, 'parent' => NULL),
			'tempDir' => 'C:\wamp\www\wss\app/../temp',
		));
	}


	/**
	 * @return App\Forms\SignFormFactory
	 */
	public function createService__27_App_Forms_SignFormFactory()
	{
		$service = new App\Forms\SignFormFactory($this->getService('security.user'));
		return $service;
	}


	/**
	 * @return AktualizaceModel
	 */
	public function createServiceAktualizace()
	{
		$service = new AktualizaceModel($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return AdminModule\BasePresenter
	 */
	public function createServiceApplication__1()
	{
		$service = new AdminModule\BasePresenter;
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return AdminModule\VystavyPresenter
	 */
	public function createServiceApplication__10()
	{
		$service = new AdminModule\VystavyPresenter($this->getService('vystavy'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return AdminModule\ZpravyPresenter
	 */
	public function createServiceApplication__11()
	{
		$service = new AdminModule\ZpravyPresenter($this->getService('zpravy'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return FrontModule\DkkPresenter
	 */
	public function createServiceApplication__12()
	{
		$service = new FrontModule\DkkPresenter($this->getService('dkk'), $this->getService('stranky'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return FrontModule\ErrorPresenter
	 */
	public function createServiceApplication__13()
	{
		$service = new FrontModule\ErrorPresenter;
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return FrontModule\FormularePresenter
	 */
	public function createServiceApplication__14()
	{
		$service = new FrontModule\FormularePresenter($this->getService('dokumenty'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return FrontModule\HomepagePresenter
	 */
	public function createServiceApplication__15()
	{
		$service = new FrontModule\HomepagePresenter($this->getService('oznameni'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return FrontModule\NovinkyPresenter
	 */
	public function createServiceApplication__16()
	{
		$service = new FrontModule\NovinkyPresenter($this->getService('novinky'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return FrontModule\PsiPresenter
	 */
	public function createServiceApplication__17()
	{
		$service = new FrontModule\PsiPresenter($this->getService('psi'), $this->getService('zkousky'), $this->getService('fotkyPsu'),
			$this->getService('stranky'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return FrontModule\SignPresenter
	 */
	public function createServiceApplication__18()
	{
		$service = new FrontModule\SignPresenter;
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return FrontModule\SrazyPresenter
	 */
	public function createServiceApplication__19()
	{
		$service = new FrontModule\SrazyPresenter($this->getService('srazy'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return AdminModule\DkkPresenter
	 */
	public function createServiceApplication__2()
	{
		$service = new AdminModule\DkkPresenter($this->getService('dkk'), $this->getService('stranky'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return FrontModule\StenataPresenter
	 */
	public function createServiceApplication__20()
	{
		$service = new FrontModule\StenataPresenter($this->getService('vrhy'), $this->getService('plany'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return FrontModule\StrankyPresenter
	 */
	public function createServiceApplication__21()
	{
		$service = new FrontModule\StrankyPresenter($this->getService('stranky'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return FrontModule\VystavyPresenter
	 */
	public function createServiceApplication__22()
	{
		$service = new FrontModule\VystavyPresenter($this->getService('vystavy'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return FrontModule\ZpravyPresenter
	 */
	public function createServiceApplication__23()
	{
		$service = new FrontModule\ZpravyPresenter($this->getService('zpravy'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return NetteModule\ErrorPresenter
	 */
	public function createServiceApplication__24()
	{
		$service = new NetteModule\ErrorPresenter($this->getService('tracy.logger'));
		return $service;
	}


	/**
	 * @return NetteModule\MicroPresenter
	 */
	public function createServiceApplication__25()
	{
		$service = new NetteModule\MicroPresenter($this, $this->getService('http.request'), $this->getService('routing.router'));
		return $service;
	}


	/**
	 * @return AdminModule\FormularePresenter
	 */
	public function createServiceApplication__3()
	{
		$service = new AdminModule\FormularePresenter($this->getService('dokumenty'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return AdminModule\HomepagePresenter
	 */
	public function createServiceApplication__4()
	{
		$service = new AdminModule\HomepagePresenter($this->getService('oznameni'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return AdminModule\NovinkyPresenter
	 */
	public function createServiceApplication__5()
	{
		$service = new AdminModule\NovinkyPresenter($this->getService('novinky'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return AdminModule\PsiPresenter
	 */
	public function createServiceApplication__6()
	{
		$service = new AdminModule\PsiPresenter($this->getService('psi'), $this->getService('zkousky'), $this->getService('fotkyPsu'),
			$this->getService('stranky'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return AdminModule\SrazyPresenter
	 */
	public function createServiceApplication__7()
	{
		$service = new AdminModule\SrazyPresenter($this->getService('srazy'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return AdminModule\StenataPresenter
	 */
	public function createServiceApplication__8()
	{
		$service = new AdminModule\StenataPresenter($this->getService('vrhy'), $this->getService('plany'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return AdminModule\StrankyPresenter
	 */
	public function createServiceApplication__9()
	{
		$service = new AdminModule\StrankyPresenter($this->getService('stranky'));
		$service->injectPrimary($this, $this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'), $this->getService('session.session'),
			$this->getService('security.user'), $this->getService('latte.templateFactory'));
		$service->inject($this->getService('aktualizace'));
		$service->invalidLinkMode = 5;
		return $service;
	}


	/**
	 * @return Nette\Application\Application
	 */
	public function createServiceApplication__application()
	{
		$service = new Nette\Application\Application($this->getService('application.presenterFactory'), $this->getService('routing.router'),
			$this->getService('http.request'), $this->getService('http.response'));
		$service->catchExceptions = FALSE;
		$service->errorPresenter = 'Error';
		Nette\Bridges\ApplicationTracy\RoutingPanel::initializePanel($service);
		$this->getService('tracy.bar')->addPanel(new Nette\Bridges\ApplicationTracy\RoutingPanel($this->getService('routing.router'), $this->getService('http.request'),
			$this->getService('application.presenterFactory')));
		return $service;
	}


	/**
	 * @return Nette\Application\LinkGenerator
	 */
	public function createServiceApplication__linkGenerator()
	{
		$service = new Nette\Application\LinkGenerator($this->getService('routing.router'), $this->getService('http.request')->getUrl(),
			$this->getService('application.presenterFactory'));
		return $service;
	}


	/**
	 * @return Nette\Application\IPresenterFactory
	 */
	public function createServiceApplication__presenterFactory()
	{
		$service = new Nette\Application\PresenterFactory(new Nette\Bridges\ApplicationDI\PresenterFactoryCallback($this, 5, 'C:\wamp\www\wss\app/../temp/cache/Nette%5CBridges%5CApplicationDI%5CApplicationExtension'));
		return $service;
	}


	/**
	 * @return Nette\Caching\Storages\IJournal
	 */
	public function createServiceCache__journal()
	{
		$service = new Nette\Caching\Storages\FileJournal('C:\wamp\www\wss\app/../temp');
		return $service;
	}


	/**
	 * @return Nette\Caching\IStorage
	 */
	public function createServiceCache__storage()
	{
		$service = new Nette\Caching\Storages\FileStorage('C:\wamp\www\wss\app/../temp/cache', $this->getService('cache.journal'));
		return $service;
	}


	/**
	 * @return Nette\DI\Container
	 */
	public function createServiceContainer()
	{
		return $this;
	}


	/**
	 * @return Nette\Database\Connection
	 */
	public function createServiceDatabase__default__connection()
	{
		$service = new Nette\Database\Connection('mysql:host=127.0.0.1;dbname=wss', 'root', '', array('lazy' => TRUE));
		$this->getService('tracy.blueScreen')->addPanel('Nette\Bridges\DatabaseTracy\ConnectionPanel::renderException');
		Nette\Database\Helpers::createDebugPanel($service, TRUE, 'default');
		return $service;
	}


	/**
	 * @return Nette\Database\Context
	 */
	public function createServiceDatabase__default__context()
	{
		$service = new Nette\Database\Context($this->getService('database.default.connection'), $this->getService('database.default.structure'),
			$this->getService('database.default.conventions'), $this->getService('cache.storage'));
		return $service;
	}


	/**
	 * @return Nette\Database\Conventions\DiscoveredConventions
	 */
	public function createServiceDatabase__default__conventions()
	{
		$service = new Nette\Database\Conventions\DiscoveredConventions($this->getService('database.default.structure'));
		return $service;
	}


	/**
	 * @return Nette\Database\Structure
	 */
	public function createServiceDatabase__default__structure()
	{
		$service = new Nette\Database\Structure($this->getService('database.default.connection'), $this->getService('cache.storage'));
		return $service;
	}


	/**
	 * @return DkkModel
	 */
	public function createServiceDkk()
	{
		$service = new DkkModel($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return DokumentyModel
	 */
	public function createServiceDokumenty()
	{
		$service = new DokumentyModel($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return FotkyPsuModel
	 */
	public function createServiceFotkyPsu()
	{
		$service = new FotkyPsuModel($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return Nette\Http\Context
	 */
	public function createServiceHttp__context()
	{
		$service = new Nette\Http\Context($this->getService('http.request'), $this->getService('http.response'));
		return $service;
	}


	/**
	 * @return Nette\Http\Request
	 */
	public function createServiceHttp__request()
	{
		$service = $this->getService('http.requestFactory')->createHttpRequest();
		if (!$service instanceof Nette\Http\Request) {
			throw new Nette\UnexpectedValueException('Unable to create service \'http.request\', value returned by factory is not Nette\Http\Request type.');
		}
		return $service;
	}


	/**
	 * @return Nette\Http\RequestFactory
	 */
	public function createServiceHttp__requestFactory()
	{
		$service = new Nette\Http\RequestFactory;
		$service->setProxy(array());
		return $service;
	}


	/**
	 * @return Nette\Http\Response
	 */
	public function createServiceHttp__response()
	{
		$service = new Nette\Http\Response;
		return $service;
	}


	/**
	 * @return Nette\Bridges\ApplicationLatte\ILatteFactory
	 */
	public function createServiceLatte__latteFactory()
	{
		return new Container_823831bac5_Nette_Bridges_ApplicationLatte_ILatteFactoryImpl_latte_latteFactory($this);
	}


	/**
	 * @return Nette\Application\UI\ITemplateFactory
	 */
	public function createServiceLatte__templateFactory()
	{
		$service = new Nette\Bridges\ApplicationLatte\TemplateFactory($this->getService('latte.latteFactory'), $this->getService('http.request'),
			$this->getService('http.response'), $this->getService('security.user'), $this->getService('cache.storage'));
		return $service;
	}


	/**
	 * @return Nette\Mail\IMailer
	 */
	public function createServiceMail__mailer()
	{
		$service = new Nette\Mail\SendmailMailer;
		return $service;
	}


	/**
	 * @return Latte\Engine
	 */
	public function createServiceNette__latte()
	{
		$service = new Latte\Engine;
		trigger_error('Service nette.latte is deprecated, implement Nette\Bridges\ApplicationLatte\ILatteFactory.',
			16384);
		$service->setTempDirectory('C:\wamp\www\wss\app/../temp/cache/latte');
		$service->setAutoRefresh(TRUE);
		$service->setContentType('html');
		Nette\Utils\Html::$xhtml = FALSE;
		return $service;
	}


	/**
	 * @return NovinkyModel
	 */
	public function createServiceNovinky()
	{
		$service = new NovinkyModel($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return OznameniModel
	 */
	public function createServiceOznameni()
	{
		$service = new OznameniModel($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return ChovPlanyModel
	 */
	public function createServicePlany()
	{
		$service = new ChovPlanyModel($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return PsiModel
	 */
	public function createServicePsi()
	{
		$service = new PsiModel($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return Nette\Application\IRouter
	 */
	public function createServiceRouting__router()
	{
		$service = App\RouterFactory::createRouter();
		if (!$service instanceof Nette\Application\IRouter) {
			throw new Nette\UnexpectedValueException('Unable to create service \'routing.router\', value returned by factory is not Nette\Application\IRouter type.');
		}
		return $service;
	}


	/**
	 * @return Nette\Security\IAuthenticator
	 */
	public function createServiceSecurity__authenticator()
	{
		$service = new Nette\Security\SimpleAuthenticator(array(
			'admin' => '171acf7b673ae9088c3173f5065128dff6863b729fa850030f31fd4e9c3b14c1',
		), array('admin' => NULL));
		return $service;
	}


	/**
	 * @return Nette\Security\User
	 */
	public function createServiceSecurity__user()
	{
		$service = new Nette\Security\User($this->getService('security.userStorage'), $this->getService('security.authenticator'));
		$this->getService('tracy.bar')->addPanel(new Nette\Bridges\SecurityTracy\UserPanel($service));
		return $service;
	}


	/**
	 * @return Nette\Security\IUserStorage
	 */
	public function createServiceSecurity__userStorage()
	{
		$service = new Nette\Http\UserStorage($this->getService('session.session'));
		return $service;
	}


	/**
	 * @return Nette\Http\Session
	 */
	public function createServiceSession__session()
	{
		$service = new Nette\Http\Session($this->getService('http.request'), $this->getService('http.response'));
		$service->setExpiration('14 days');
		return $service;
	}


	/**
	 * @return SrazyModel
	 */
	public function createServiceSrazy()
	{
		$service = new SrazyModel($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return StrankyModel
	 */
	public function createServiceStranky()
	{
		$service = new StrankyModel($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return Tracy\Bar
	 */
	public function createServiceTracy__bar()
	{
		$service = Tracy\Debugger::getBar();
		if (!$service instanceof Tracy\Bar) {
			throw new Nette\UnexpectedValueException('Unable to create service \'tracy.bar\', value returned by factory is not Tracy\Bar type.');
		}
		return $service;
	}


	/**
	 * @return Tracy\BlueScreen
	 */
	public function createServiceTracy__blueScreen()
	{
		$service = Tracy\Debugger::getBlueScreen();
		if (!$service instanceof Tracy\BlueScreen) {
			throw new Nette\UnexpectedValueException('Unable to create service \'tracy.blueScreen\', value returned by factory is not Tracy\BlueScreen type.');
		}
		return $service;
	}


	/**
	 * @return Tracy\ILogger
	 */
	public function createServiceTracy__logger()
	{
		$service = Tracy\Debugger::getLogger();
		if (!$service instanceof Tracy\ILogger) {
			throw new Nette\UnexpectedValueException('Unable to create service \'tracy.logger\', value returned by factory is not Tracy\ILogger type.');
		}
		return $service;
	}


	/**
	 * @return VrhyModel
	 */
	public function createServiceVrhy()
	{
		$service = new VrhyModel($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return VystavyModel
	 */
	public function createServiceVystavy()
	{
		$service = new VystavyModel($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return ZkouskyModel
	 */
	public function createServiceZkousky()
	{
		$service = new ZkouskyModel($this->getService('database.default.context'));
		return $service;
	}


	/**
	 * @return ZpravyModel
	 */
	public function createServiceZpravy()
	{
		$service = new ZpravyModel($this->getService('database.default.context'));
		return $service;
	}


	public function initialize()
	{
		date_default_timezone_set('Europe/Prague');
		header('X-Frame-Options: SAMEORIGIN');
		header('X-Powered-By: Nette Framework');
		header('Content-Type: text/html; charset=utf-8');
		Nette\Reflection\AnnotationsParser::setCacheStorage($this->getByType("Nette\Caching\IStorage"));
		Nette\Reflection\AnnotationsParser::$autoRefresh = TRUE;
		$this->getService('session.session')->exists() && $this->getService('session.session')->start();
	}

}



final class Container_823831bac5_Nette_Bridges_ApplicationLatte_ILatteFactoryImpl_latte_latteFactory implements Nette\Bridges\ApplicationLatte\ILatteFactory
{
	private $container;


	public function __construct(Container_823831bac5 $container)
	{
		$this->container = $container;
	}


	public function create()
	{
		$service = new Latte\Engine;
		$service->setTempDirectory('C:\wamp\www\wss\app/../temp/cache/latte');
		$service->setAutoRefresh(TRUE);
		$service->setContentType('html');
		Nette\Utils\Html::$xhtml = FALSE;
		return $service;
	}

}
